Subject: [addr-select-dt] FW: I-D ACTION:draft-savolainen-6man-fqdn-based-if-selection-00.txt

From: <[email-masked]>
Date: Fri, 24 Oct 2008 10:12:13 +0300

Hi,

Would this design team be interested in discussing about this particular
aspect related to address selection problematics?

Best regards,

	Teemu

> ______________________________________________ 
> From: 	Savolainen Teemu (Nokia-D-MSW/Tampere)  
> Sent:	24 October, 2008 10:11
> To:	List Mailing
> Subject:	I-D
> ACTION:draft-savolainen-6man-fqdn-based-if-selection-00.txt
> 
> Hi,
> 
> Somewhat related to recent address selection discussions, I have
> written following I-D describing some scenarios,  where even before
> actual source & destination address selection happens, a right network
> interface has to be selected for DNS resolution to succeed (host in
> split horizon DNS environment and connected to multiple walled
> gardens)..
> 
> http://www.ietf.org/mail-archive/web/i-d-announce/current/msg22323.htm
> l
> 
> Feedback is most appreciated.
> 
> Thank you,
> 
> 	Teemu
> 
> --------
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
> 	Title		: Domain name based network interface selection
> 
> 	Author(s)	: T. Savolainen
> 	Filename	:
> draft-savolainen-6man-fqdn-based-if-selection-00.txt
> 	Pages		: 13
> 	Date		: 2008-10-23
> 	
> A multi-homed host with multiple physical and/or virtual network 
>    interfaces has to select which one of the network interfaces to use
> 
>    for a new outgoing IPv4 or IPv6 connection. This document describes
> a 
>    method to select an interface by using destination's fully
> qualified 
>    domain name and DNS suffix information received dynamically for
> each 
>    network interface. The method is useful, for example, in split 
>    horizon DNS and walled garden scenarios, where right network 
>    interface has to be selected even before DNS resolution is
> conducted.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-savolainen-6man-fqdn-based-i
> f-selection-00.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> <ftp://ftp.ietf.org/internet-drafts/draft-savolainen-6man-fqdn-based-i
> f-selection-00.txt>
> <ftp://ftp.ietf.org/internet-drafts/draft-savolainen-6man-fqdn-based-i
> f-selection-00.txt> 
> 
_______________________________________________
addr-select-dt mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/addr-select-dt

---

From: Arifumi Matsumoto <[email-masked]>
Date: Mon, 27 Oct 2008 15:27:57 +0900

Teemu,

I suppose your draft contains problem statements and a solution.  
Regarding the solution, IMO I'm personally very much interested in  
your proposal, but this seems to be out of scope of this design team,  
where we focus on such a address selection mechanism that is based on  
dynamic policy table updates.

Regarding the problem statement, the issue of address selection itself  
is covered in RFC 5220. Though DNS resolving issue is not clearly  
written in that RFC, section 2.1.3 covers general problematic case of  
walled garden network.

Kindest regards,

On 2008/10/24, at 16:12, <[email-masked]> <[email-masked] 
 > wrote:

> Hi,
>
> Would this design team be interested in discussing about this  
> particular aspect related to address selection problematics?
>
> Best regards,
>
>         Teemu
>
> Subject:        I-D ACTION:draft-savolainen-6man-fqdn-based-if- 
> selection-00.txt
>
> Hi,
>
> actual source & destination address selection happens, a right  
> network interface has to be selected for DNS resolution to succeed  
> (host in split horizon DNS environment and connected to multiple  
> walled gardens)..
>
> http://www.ietf.org/mail-archive/web/i-d-announce/current/ 
> msg22323.html
>
>         Filename        : draft-savolainen-6man-fqdn-based-if- 
> selection-00.txt
>         Pages           : 13
>         Date            : 2008-10-23
>
>    for a new outgoing IPv4 or IPv6 connection. This document  
> describes a
> http://www.ietf.org/internet-drafts/draft-savolainen-6man-fqdn-based-if-selection-00.txt
>
> <ftp://ftp.ietf.org/internet-drafts/draft-savolainen-6man-fqdn-based-if-selection-00.txt 
> >
>

---

From: <[email-masked]>
Date: Mon, 27 Oct 2008 09:24:50 +0200

Hi,

The 2.1.3 indeed covers the general case well, but I fail to see this
DNS resolving issue mentioned in any way.

So the "address selection mechanism that is based on dynamic policy
table updates" will not be covering the DNS server selection problem?

Best regards,

	Teemu

>-----Original Message-----
>From: ext Arifumi Matsumoto [mailto:[email-masked]] 
>Sent: 27 October, 2008 08:28
>To: Savolainen Teemu (Nokia-D-MSW/Tampere)
>Cc: [email-masked]
>Subject: Re: [addr-select-dt] FW: I-D 
>Regarding the solution, IMO I'm personally very much 
>interested in your proposal, but this seems to be out of scope 
>of this design team, where we focus on such a address 
>selection mechanism that is based on dynamic policy table updates.
>
>Regarding the problem statement, the issue of address 
>selection itself is covered in RFC 5220. Though DNS resolving 
>issue is not clearly written in that RFC, section 2.1.3 covers 
>general problematic case of walled garden network.
>
>Kindest regards,
>
>On 2008/10/24, at 16:12, <[email-masked]> 
><[email-masked]  > wrote:
>
>> Hi,
>>
>describes